> ## Documentation Index
> Fetch the complete documentation index at: https://docs.usealmanac.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Invite Organization Member



## OpenAPI

````yaml /openapi.json post /v1/organizations/{organization_id}/members/invite
openapi: 3.1.0
info:
  description: Versioned API for hosted Almanac wikis.
  title: Almanac V1 API
  version: 0.1.11
servers:
  - url: https://almanac-backend-83vc.onrender.com
security:
  - bearerAuth: []
paths:
  /v1/organizations/{organization_id}/members/invite:
    post:
      summary: Invite Organization Member
      operationId: >-
        invite_organization_member_v1_organizations__organization_id__members_invite_post
      parameters:
        - in: path
          name: organization_id
          required: true
          schema:
            title: Organization Id
            type: string
        - in: header
          name: authorization
          required: false
          schema:
            anyOf:
              - type: string
              - type: 'null'
            title: Authorization
      requestBody:
        content:
          application/json:
            schema:
              $ref: '#/components/schemas/InviteOrganizationMemberRequest'
        required: true
      responses:
        '200':
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/HostedOrganizationInvitation'
          description: Successful Response
        '422':
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/HTTPValidationError'
          description: Validation Error
components:
  schemas:
    InviteOrganizationMemberRequest:
      additionalProperties: false
      properties:
        email:
          minLength: 1
          title: Email
          type: string
        role:
          minLength: 1
          title: Role
          type: string
      required:
        - email
        - role
      title: InviteOrganizationMemberRequest
      type: object
    HostedOrganizationInvitation:
      additionalProperties: false
      properties:
        created_at:
          anyOf:
            - type: string
            - type: 'null'
          title: Created At
        email:
          title: Email
          type: string
        expires_at:
          anyOf:
            - type: string
            - type: 'null'
          title: Expires At
        invitation_id:
          title: Invitation Id
          type: string
        role:
          title: Role
          type: string
        state:
          default: pending
          title: State
          type: string
      required:
        - invitation_id
        - email
        - role
      title: HostedOrganizationInvitation
      type: object
    HTTPValidationError:
      properties:
        detail:
          items:
            $ref: '#/components/schemas/ValidationError'
          title: Detail
          type: array
      title: HTTPValidationError
      type: object
    ValidationError:
      properties:
        ctx:
          title: Context
          type: object
        input:
          title: Input
        loc:
          items:
            anyOf:
              - type: string
              - type: integer
          title: Location
          type: array
        msg:
          title: Message
          type: string
        type:
          title: Error Type
          type: string
      required:
        - loc
        - msg
        - type
      title: ValidationError
      type: object
  securitySchemes:
    bearerAuth:
      bearerFormat: Almanac access token or API key
      scheme: bearer
      type: http

````